package com.palnet.board.app.jh.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.palnet.board.app.jh.dto.JunheeBoardDto;
import com.palnet.board.app.jh.dto.JunheeRequestBoard;
import com.palnet.board.app.jh.dto.JunheeResponsePrevNext;


@Mapper
public interface JunheeBoardMapper {

	JunheeBoardDto detailView(String id) throws Exception;

	int boardWrite(JunheeRequestBoard requestBoard) throws Exception;

	int boardDelete(String id) throws Exception;
	
	int boardModify(JunheeRequestBoard requestBoard) throws Exception;

	int boardMaxId() throws Exception;
	
	List<JunheeBoardDto> selectListPage(@Param("startNum") int startNum, @Param("endNum") int endNum) throws Exception;

	int boardCount() throws Exception;
	
	List<JunheeResponsePrevNext> boardPrevNext(int id) throws Exception;	
}
