<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>	
<!doctype html>
<html lang="ko" xml:lang="ko">
<%	//Model로 넘겨받은 객체 불러오는 법ㅠㅠㅠㅠ
	String boardId = (String) request.getAttribute("id");
%>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=0,maximum-scale=10,user-scalable=yes">
    <!-- css -->
    <link rel="stylesheet" href="/web/css/reset.css">
    <link rel="stylesheet" href="/web/css/font.css">
    <link rel="stylesheet" href="/web/css/common.css">
    <!-- js -->
    <script src="/web/js/lib/jquery-3.6.0.min.js"></script>
    <!-- ajax/axios -->
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jQuery.serializeObject/2.0.3/jquery.serializeObject.min.js"></script>

     <title>View-팔네트웍스</title>
    <style>
    	.btn{display: inline-flex;flex-direction: row;justify-content: center;align-items: center;height: 35px;border: 1px solid #ddd;}
    </style>
</head>

<body>
	<div class="notice">
		<div class="row">
			<div class="box">
				<span class="ti">글쓴이</span>
				<span class="box-input view" id="regUser"></span>
			</div>
			<div class="box" id="pwHidden">
				<span class="ti">비밀번호</span>
				<span class="box-input view" id="password"></span>
				<input id="realPassword" name="realPassword" type="hidden" />
			</div>
		</div>
		<div class="row">
			<div class="box" id="idSpan">
				<span class="ti">번호</span>
				<span class="box-input view" id="boardId"></span>
			</div>
			<div class="box">
				<span class="ti">작성일</span>
				<span class="box-input view" id="regDtm"></span>
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="ti">제목</span>
				<span class="box-input view" id="title"></span>
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="box-input box-textarea view" id="content"></span>
			</div>
		</div>
		
		<div class="comment-box">
			<span class="total"></span>
			<div class="comment-input">
				<textarea id="cmtContent" name="cmtContent" placeholder="댓글을 입력해주세요"></textarea>
				<button id="cmtSave" type="button">등록</button>
			</div>
			
<!-- 			<div class="comment-view" id="test3">
				<span class="user"><span class="id">익명3</span><span
					class="date">05.02 13:00</span><span>답글</span></span> <span class="text" id="text">여기는 댓글
					정보3333!</span>
 				**
 				<div class="reply-box">
					<button type="button">답글</button>
					<div class="reply-input">
						<textarea placeholder="댓글을 입력해주세요"></textarea>
						<button type="button">등록</button>
					</div>
					<div class="reply-view">
						<span class="user"><span class="id">익명6</span><span
							class="date">05.02 13:00</span></span> <span class="text">여기는 댓글의
							댓글(답글)정보!3333</span>
					</div>
				</div>
				**
			</div> -->
		</div>
		<div class="page-link" id="page-link">
		     <!-- <a id="prev">▲ 이전글<span class="page-link-ti">날씨가 좋네요.</span></a>
		     <a href="#none">▼ 다음글<span class="page-link-ti">덥다덥다덥다덥다덥다덥다</span></a> -->
		</div>
		<div class="btn-box">
			<a href="/view/jh/board/list/1" class="btn gray">목록</a>
			<a class="btn black" id="modify">수정</a>
			<a class="btn gray" id="delete">글삭제</a>
		</div>
	</div>
</body>
<script type="text/javascript">
	
	$(document).ready(function() {
		var boardId = '<%=boardId%>';
		callViewData(boardId);
		getPrevNextBoard(boardId);
		callReply(boardId);
	})

	/* 글 상세 불러오기 */
	function callViewData(boardId) {
		$.ajax({
			url : "/api/jh/board/detailView/" + boardId,
			type : "GET",
			dataType : 'JSON',
			success : function(response) {
				var id = response.id
				var password = response.password
				var title = response.title
				var content = response.content
				var regUser = response.regUser
				var regDtm = response.regDtm
				var updUser = response.updUser

				$('#boardId').html(id);

				var pw = ""
				if (password) {
					for (var i = 0; i < password.length; i++) {
						pw += "*"
					}
				}

				$('#password').html(pw)
				$('input[name=realPassword]').attr('value', password)

				$('#title').html(title);
				$('#content').html(content);

				if (updUser) {
					$('#regUser').html(updUser)
				} else {
					$('#regUser').html(regUser)
				}

				$('#regDtm').html(regDtm)
			}
		})
	}

	/* 이전글 다음글 */
	function getPrevNextBoard(boardId) {
		$.ajax({
			url : "/api/jh/board/boardPrevNext/" + boardId,
			type : "GET",
			dataType : 'JSON',
			success : function(response) {
				var next = ""
				var prev = ""
				var ini = "<a href=/view/jh/board/detailView/"
				
				if (response.length == 2) {
					prev = ini + response[0].id + " id='prev'>▲ 이전글<span class='page-link-ti'>" + response[0].title + "</span></a>"
					next = ini + response[1].id + " id='next'>▼ 다음글<span class='page-link-ti'>"	+ response[1].title + "</span></a>"
				} else if (boardId < response[0].id) {
					next = ini + response[0].id + " id='next'>▼ 다음글<span class='page-link-ti'>"	+ response[0].title + "</span></a>"
				} else if (boardId > response[0].id) {
					prev = ini + response[0].id + " id='prev'>▲ 이전글<span class='page-link-ti'>"	+ response[0].title + "</span></a>"
				}

				document.getElementById("page-link").innerHTML = prev + next;
			}
		})
	}
	
	/* 댓글 불러오기 */
	function callReply(boardId) {
		$.ajax({
			url: "/api/jh/reply/boardReply/" + boardId,
			type: "GET",
			dataType: 'JSON',
			success: function(response) {
				console.log(response)
				
				/* comment (each를 역으로 가져와서 idx는 거꾸로.. 엉망)*/
				$($(response).get().reverse()).each( function(i, item) {
					if(item.targetId==0) {
						var comment = 
							"<div class='comment-view' id='comment-view" + (i+1) + "'>" +
								"<span class='user'>" +
									"<span class='id'>" + item.regUser + "</span>" +
									"<span class='date'>" + item.regDate + "</span>" +
									"<span onclick='replyInputCreate("+ (i+1) + "," + item.id +")'>답글</span>" +
									"<input type='checkbox' name='replyCheck" + (i+1) + "' style='display:none'/>" +
								"</span>" +
								"<span class='text'>" +	item.content + "</span>" +
							"</div>"
							
						$(".comment-input").after(comment)
						
						var rb = $("<div class='reply-box' id='reply-box" + (i+1) + "'/>");
						$(".comment-view").append(rb);
						
						/* reply */
						$.each(item.targetReplys, function(idx, it) {
							var reply =
 								"<div class='reply-view' id='reply-view" + (i+1) + "'>" +
									"<span class='user'>" +
										"<span class='id'>" + it.regUser + "</span>" +
										"<span class='date'>" + it.regDate + "</span>" +
									"</span>" +
									"<span class='text'>" + it.content + "</span>" +
								"</div>"
							
							$('#reply-box' + (i+1)).append(reply)
						})
					}
				})
				
				/* 댓글 개수 */
				var count = response.length
				$('.total').text('댓글 ' + count);
			}
		})
	}
	
	
	/* 답글 클릭시 답글 입력창 생성 */
	function replyInputCreate(index, id) {
		var chk = document.querySelector("input[name=replyCheck" + index + "]").checked;
		
		if(chk) {
			document.querySelector("input[name=replyCheck" + index + "]").checked = false;
			$('.reply-input').remove();
		} else {
			document.querySelector("input[name=replyCheck" + index + "]").checked = true;
			var replyInput =
				"<div class='reply-input'>" +
					"<textarea id='replyContent' name='replyContent' placeholder='댓글을 입력해주세요'></textarea>" +
					"<button class='reply-button' id='replySave' type='button'>등록</button>" +
					"<span id='targetNum' style='display:none'>" + id + "</span>"+
				"</div>"
			$('#reply-box' + index).before(replyInput)
		}
	}
	
	
	/* comment 작성 */
	$(document).on("click", "#cmtSave", function() {
		var boardNum = '<%=boardId%>';
		
		var boardId = boardNum;
		var content = $('.comment-input').find('textarea[id="cmtContent"]').val();
		
		var obj = {
				boardId: boardId,
				content: content
		}
		
		$.ajax({
			url: "/api/jh/reply/commentWrite",
			type: "POST",
			data: obj,
			dataType: 'JSON',
			success: function(res) {
				if(res == '1') {
					alert("등록 성공")
					location.href="/view/jh/board/detailView/" + boardNum
				}
			}
		})
	})
	
	/* reply 작성 */
	$(document).on("click", "#replySave", function() {
		var boardNum = '<%=boardId%>';
		
		var boardId = boardNum;
		var targetId = $('.reply-input').find('span[id="targetNum"]').text();
		var content = $('.reply-input').find('textarea[id="replyContent"]').val();
		
		var obj = {
				boardId: boardId,
				targetId: targetId,
				content: content
		}
		
		$.ajax({
			url: "/api/jh/reply/replyWrite",
			type: "POST",
			data: obj,
			dataType: 'JSON',
			success: function(res) {
				if(res == '1') {
					alert("등록 성공")
					location.href="/view/jh/board/detailView/" + boardNum
				}
			}
		})
	})
	

	/* 글 삭제 */
	$(document).on("click", "#delete", function() {
		var id = $('#idSpan').find('span[id="boardId"]').text();
		var password = $('#pwHidden').find('input[id="realPassword"]').val();
		var inputPassword = prompt("비밀번호 일치 시 삭제 가능합니다.")

		if (!(password == inputPassword)) {
			alert("비밀번호가 일치하지 않습니다.")
			return;
		}

		$.ajax({
			url : "/api/jh/board/delete/" + id,
			type : "DELETE",
			dataType : 'TEXT',
			success : function(data) {
				if (data == '1') {
					alert("삭제성공")
					location.href = "/view/jh/board/list/1"
				}
			}
		})
	})

	/* 글 수정 */
	$(document).on("click", "#modify", function() {
		var id = $('#idSpan').find('span[id="boardId"]').text();
		location.href = "/view/jh/board/modify/" + id;
	})
</script>

</html>
