<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!doctype html>
<html lang="ko" xml:lang="ko">

<head>
<meta charset="UTF-8">
<meta name="viewport"
	content="width=device-width,initial-scale=1.0,minimum-scale=0,maximum-scale=10,user-scalable=yes">
<!-- css -->
<link rel="stylesheet" href="/web/css/reset.css">
<link rel="stylesheet" href="/web/css/font.css">
<link rel="stylesheet" href="/web/css/common.css">
<!-- js -->
<script src="/web/js/lib/jquery-3.6.0.min.js"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/jQuery.serializeObject/2.0.3/jquery.serializeObject.min.js"></script>
<title>글 상세</title>
</head>


<body>
	<input type="hidden" id="boardId" value="${id}" />
	<div class="notice">
		<div class="row">
			<div class="box">
				<span class="ti">글쓴이</span> <span class="box-input view"
					id="regUser"></span> <input id="updUser" name="updUser"
					type="hidden" />
			</div>
			<div class="box" id = "pwhidden">
				<span class="ti">비밀번호</span> <span class="box-input view"
					id="password"></span> <input id="realPassword" name="realPassword"
					type="hidden" />
			</div>
		</div>
		<div class="row">
			<div class="box" id="idSpan">
				<span class="ti">번호</span> <span class="box-input view" id="id"></span>
			</div>
			<div class="box">
				<span class="ti">작성일</span> <span class="box-input view" id="regDtm"></span>
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="ti">제목</span> <span class="box-input view" id="title"></span>
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="box-input box-textarea view" id="content"></span>
			</div>
		</div>
		<div class="comment-box">
			<span class="total">댓글 39</span>
			<div class="comment-input">
				<textarea placeholder="댓글을 입력해주세요"></textarea>
				<button type="button">등록</button>
			</div>
			<div class="comment-view">
				<span class="user"><span class="id">123pal***</span><span
					class="date">05.02 13:00</span></span> <span class="text">여기는 댓글
					정보!</span>
			</div>
			<div class="comment-view">
				<span class="user"><span class="id">123pal***</span><span
					class="date">05.02 13:00</span></span> <span class="text">여기는 댓글
					정보!2222</span>
			</div>
			<div class="comment-view">
				<span class="user"><span class="id">123pal***</span><span
					class="date">05.02 13:00</span></span> <span class="text">여기는 댓글
					정보3333!</span>
				<div class="reply-box">
					<button type="button">답글</button>
					<div class="reply-input">
						<textarea placeholder="댓글을 입력해주세요"></textarea>
						<button type="btn"align_items:right;>등록</button>
					</div>
					<div class="reply-view">
						<span class="user"><span class="id">123pal***</span><span
							class="date">05.02 13:00</span></span> <span class="text">여기는 댓글의
							댓글(답글)정보!</span>
					</div>
					<div class="reply-view">
						<span class="user"><span class="id">123pal***</span><span
							class="date">05.02 13:00</span></span> <span class="text">여기는 댓글의
							댓글(답글)정보!2222</span>
					</div>
					<div class="reply-view">
						<span class="user"><span class="id">123pal***</span><span
							class="date">05.02 13:00</span></span> <span class="text">여기는 댓글의
							댓글(답글)정보!3333</span>
					</div>
				</div>
			</div>
		</div>
		<div class="page-link">
			<a href="#none">▲ 이전글<span class="page-link-ti">날씨가 좋네요.</span></a> <a
				href="#none">▼ 다음글<span class="page-link-ti">덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다</span></a>
		</div>
		<div class="btn-box">
			<button class="btn gray " type="button"
				onclick="location.href='/board/list'">목록</button>
			<button class="btn black" type="button" id="modify">수정</button>
			<button class="btn black" type="button" id="delete">삭제</button>
		</div>
	</div>
	<script>
		var boardId = $('#boardId').val();
		console.log(boardId)
		$.ajax({
			url : "/api/jw/board/detail/" + boardId, // 목적지
			type : "GET", // HTTP Method
			contentType : "application/json; charset=utf-8",
			data : $("#Action").serialize(), // 전송 데이터
			dataType : 'json', // 전송 데이터 형식
			success : function(response) { // 성공 시 실행
				var id = response.id;
				var password = response.password;
				var title = response.title;
				var content = response.content;
				var regUser = response.regUser;
				var regDtm = response.regDtm;
				var updUser = response.updUser;
				$('#id').html(id);
				$('#title').html(title);
				$('#content').html(content);
				$('#regUser').html(regUser);
				$('#updUser').html(updUser);
				$('#realPassword').val(password)
				console.log(password)
				var pw = ""
				for (var i = 0; i < password.length; i++) {
					pw += "*"
				}
				$('#password').html(pw);

				$('#regDtm').html(regDtm);

			},
			error : function(er) { //실패 시 실행
				alert("실패 원인 : " + er);
			}
		});
		$(document).on("click", "#modify", function() {
			location.href = "/view/jw/board/modify/" + boardId;
		})
		$(document).on(
				"click",
				"#delete",
				function() {
					var id = $('#idSpan').find('input[id="id"]').text();
					var password = $('#pwhidden').find('input[id="realPassword"]').val();
					var inputPassword = prompt("비밀번호 일치 시 삭제 가능합니다.")
					console.log(id)
						console.log(password)
						console.log(inputPassword)
					if (!(password == inputPassword)) {
						alert("비밀번호가 일치하지 않습니다.")
						
						return;
					}

					$.ajax({
						url : "/api/jw/board/delete/" + boardId,
						type : "DELETE",
						data : id,
						dataType : 'TEXT',
						success : function(res) {
								alert("삭제성공")
								location.href = "/view/jw/board/list/"
							
						}
					})
				})
	</script>
</body>

</html>