<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">

<meta name="viewport"
	content="width=device-width, initial-scale=1.0, minimum-scale=0, maximum-scale=10, user-scalable=yes">
<link rel="stylesheet" href="/web/css/reset.css">
<link rel="stylesheet" href="/web/css/font.css">
<link rel="stylesheet" href="/web/css/common.css">
<!-- js -->
<script src="/web/js/lib/jquery-3.6.0.min.js"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/jQuery.serializeObject/2.0.3/jquery.serializeObject.min.js"></script>


</head>
<body>
	<form id="Action">
		<div class="notice" id="boardBox">
			<div class="row">
				<div class="box">
					<span class="ti">글쓴이</span> <span class="box-input"><input
						id="regUser" name="regUser" type="text" /></span> <input id="updUser"
						name="updUser" type="hidden" />
				</div>
				<div class="box">
					<span class="ti">비밀번호</span> <span class="box-input"><input
						id="password" name="password" type="password" /></span>
				</div>
			</div>
			<div class="row">
				<div class="box">
					<span class="ti">번호</span> <span class="box-input"><input
						id="id" name="id" type="number" readonly /></span>
				</div>
				<div class="box">
					<span class="ti">작성일</span> <span class="box-input"><input
						id="regDtm" name="regDtm" type="text" readonly /></span> <input
						id="updDtm" name="updDtm" type="hidden" />
				</div>
			</div>
			<div class="row">
				<div class="box">
					<span class="ti">제목</span> <span class="box-input"><input
						id="title" name="title" type="text" /></span>
				</div>
			</div>
			<div class="row">
				<div class="box">
					<span class="box-input box-textarea"> <textarea id="content"
							name="content" placeholder="내용을 입력해주세요"></textarea>
					</span>
				</div>
			</div>

			<div class="btn-box">
				<a href="/board/list" class="btn gray">목록</a> <a class="btn black"
					id="submit">작성</a>
			</div>
		</div>
	</form>
	<script>
	$(document).ready(function() {
		$("#submit").on('click', function() { // 제출 버튼 이벤트 지정
			var data = {}
			$.each($("#Action").serializeArray(), function(i, item){
				data[item.name] = item.value
			})
			console.log(data)
			data = JSON.stringify(data);
			console.log(data)
			$.ajax({
				url : "/api/jw/board/post", // 목적지
				type : "POST", // HTTP Method
				contentType: "application/json; charset=utf-8",
// 				data : $("#Action").serialize(), // 전송 데이터
				data : data, // 전송 데이터
				dataType : 'json', // 전송 데이터 형식
				success : function(res) { // 성공 시 실행
					alert("성공");
					location.href="/view/jw/board/list"
			},
				error : function(er) { //실패 시 실행
					alert("실패 원인 : " + er);
				}
			});
		});
	});
	$(document).ready(function() {
// 		$.ajax({
// 			url : "/api/jw/board/index",
// 			type : "GET",
// 			contentType: "application/json; charset=utf-8",
// 			data : {},
// 			dataType : 'json',
// 			success : function(res) { 

// 				var id = parseInt(res) +1
// 				$('input[name=id]').attr('value', id)
// 			}
// 		})
	})
	$(document).on("click", "#submit", function() {
		checkAll();
	})
	function checkAll() {
		var boardBox = $('#Action');
		
		var regUser = boardBox.find('input#regUser').val();
		var password = boardBox.find('input[id="password"]').val();
		var title = boardBox.find('input[id="title"]').val();
		var content = boardBox.find('textarea[id="content"]').val();
		
		if(regUser == "") { 
			alert("작성자 명을 입력해주세요.")
			return;
		} else if(title == "") {
			alert("제목을 입력해주세요.")
			return;
		} else if(content == "") {
			alert("내용을 입력해주세요.")
			return;
		}
		
		setModify();
	}
			
	</script>
</body>
</html>