package com.palnet.board.app.sample.service;

import com.palnet.board.app.sample.dto.SampleBoardDto;
import com.palnet.board.app.sample.mapper.SampleBoardMapper;
import lombok.RequiredArgsConstructor;
import org.modelmapper.ModelMapper;
import org.springframework.stereotype.Service;

import java.util.List;

@RequiredArgsConstructor
@Service
public class SampleBoardServiceImpl implements SampleBoardService{

    private final SampleBoardMapper sampleBoardMapper;

    @Override
    public List<SampleBoardDto> list() {
        return sampleBoardMapper.list();
    }

    @Override
    public SampleBoardDto detail(Integer id) {
        return sampleBoardMapper.detail(id);
    }

    @Override
    public int create(SampleBoardDto rq) {
        return sampleBoardMapper.insert(rq);
    }

    @Override
    public int update(SampleBoardDto rq) {
        return sampleBoardMapper.update(rq);
    }

    @Override
    public int delete(Integer id) {
        return sampleBoardMapper.delete(id);
    }
}
